Skip navigation
1 2 Previous Next 32916 Views 17 Replies Latest reply: Jul 21, 2010 2:33 PM by bbibeault RSS
Andrea Consadori ZenossMaster 863 posts since
Feb 11, 2008
Currently Being Moderated

Jul 14, 2010 8:25 AM

zenoss 3.0 rc1 upgrade error

Hi,

i've an issue upgrading my test install 2.5.2 to 3.0rc1

 

Daemon: zeoctl Error: no program specified; use -p or -C
For help, use /opt/zenoss/bin/zeoctl -h

 

what can i try?

 

i found this issue in a ticket ---> http://dev.zenoss.com/trac/ticket/6629 (but the resolution is a won't fix)

 

Here my upgrade step:

 

1- install fresh zenoss 2.5.2 on a test machine

2- restore 2.5.2 backup on the test machine

3- remove not 3.0 ready zenpack

4- install pre-upgrade zenpack and wait until zencatalog ends.

5- upgrade zenoss from 2.5.2 to 3.0 rc1

 

Regards

Andrea

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    2. Jul 14, 2010 10:20 AM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    Andrea, can you please open a ticket for your issue?  That sounds very valid; perhaps we can have the upgrade check before we complete?  The previous ticket was a 3.0 -> 3.0 upgrade, which was not supported.  You saw the same error on a supported path, so we can definitely look into that.

     

      -- Brian

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    4. Jul 14, 2010 10:59 AM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    How many devices do you have on that system?  Normally it works much faster for us (and these are against virtual machines).

     

      -- Brian

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    7. Jul 14, 2010 11:14 AM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    I have run more than that, and not seen an issue before.  Have you tweaked your MySQL parameters for better database performance?

     

      -- Brian

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    9. Jul 14, 2010 11:31 AM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    I am not the most familiar with this, but I believe there are some very small cache settings when you first install mysql, and there are performance improvements that you could see by doing some very minor tweaks.  I would try searching for some more helpful posts around that (sorry I can't be of more help).

     

      -- Brian

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    11. Jul 14, 2010 12:12 PM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    I haven't seen this issue happen in any of our installs or updates; can you please append that to the ticket you opened earlier? 

     

      -- Brian

  • bbibeault ZenossEmployee 142 posts since
    May 19, 2009
    Currently Being Moderated
    13. Jul 14, 2010 5:07 PM (in response to Andrea Consadori)
    Re: zenoss 3.0 rc1 upgrade error

    Andrea, all I can think of is that we have done some changing for the new UI, create an index/catalog for objects, etc.  It could be that with the new UI you are running into problems where the machine is having to often access disk instead of using memory?  I could be wrong, just guessing, but can you check the disk IO and see if you are heavily accessing the disk?  3.0 is a significant change, both above and below the covers.

     

      -- Brian

1 2 Previous Next

More Like This

  • Retrieving data ...

Legend

  • Correct Answers - 4 points
  • Helpful Answers - 2 points